Description

After some time playing the Blood Ode Mod (previously known as BFNT)I noticed that some addons for v20b were not compatible. This started as a personal modification in order to play with better performance. This should be working with v20b Black Edition(Old Version), Mersers Sprites and Enhancements,And Hell Followed, Doom 2016 Weapons for BD and any other BD addon. This is Basically Blood Ode with some tweaks. I had to remove some of the features to make it compatible with v20b. This Modification of Blood Ode may or may not be updated, depending on the compatibility of the original AuthorĀ“s mod (Iddqd_Idkfa_Idclip)

Preview
Brutal Doom Blood Ode Compatibility Fix
Comments
Machine-Reaper
Machine-Reaper

does it work with Project Brutality Mutators 1.2.5 ?

Reply Good karma Bad karma+2 votes
Zapzop
Zapzop

Lol no, Pb mutators is an addon for Project Brutality, not Brutal doom.

Reply Good karma Bad karma+2 votes
Machine-Reaper
Machine-Reaper

Actually it runs standalone now (Means you don't need Brutal or P Brutality, just PB Mutators in order to play them)

Reply Good karma Bad karma+2 votes
BerserkerNoir Author
BerserkerNoir

It works, but for example, lights.pk3 overrides the water explosion fix.
Other mutators should be working fine.

Reply Good karma+2 votes
Machine-Reaper
Machine-Reaper

Thanks~

Reply Good karma Bad karma+2 votes
WWII44
WWII44

I get the following:

Script error, "brutalv20b modified.pk3:blood.txt" line 610:
Expected ',', got 'l'.

Reply Good karma Bad karma+2 votes
BerserkerNoir Author
BerserkerNoir

I did an update a few hours ago and It went wrong with something, Just Updated it Now.
Try Again.
PD: GZDOOM 2.2.0 gives errors with Brutal Doom, Try 2.1.1 or 1.9.1

Reply Good karma+2 votes
Taswp
Taswp

new download for that that fixes it

Reply Good karma Bad karma+1 vote
BerserkerNoir Author
BerserkerNoir

Sadly im no coder,the one who knows how to fix that is sgt_mark_iv
or anyone who has the knowledge.
Ill try to fix it somehow...
Edit: Just checked with 2.2.0 and it has no issues, updated the Blood.txt from the authors original mod.
new update is available

Reply Good karma+1 vote
twelvenipon
twelvenipon

Iddqd_Idkfa_Idclip is programer who easily fix stuff i think before cant be done, if you find any bugs report it in BLOOD ODE addon, that help a lot to make it better, or suggestions, most changes is optional and is not done yet, ask Iddqd_Idkfa_Idclip for test version, there is more things changed and more old bugs fixed

Reply Good karma Bad karma+1 vote
BerserkerNoir Author
BerserkerNoir

The bugs I mean, are the ones that are Triggered in Addons (Which arent compatible with Blood Ode), of course Blood Ode bugs should be reported to Iddqd_Idkfa_Idclip.

Reply Good karma+1 vote
Zapzop
Zapzop

Playing this with Brutal Doom: Black edition starts spamming message as soon as the game starts. ACS: I don't know what ''GIMMETHISSAW'' is.
Please fix.

Reply Good karma Bad karma+2 votes
BerserkerNoir Author
BerserkerNoir

That's because Black Edition has his own chainsaw, delete the SAW1 and SAW2 from the v20b BE files, that worked with me.
Or either go to weapon config in BD options
And choose "no" in the classic-modern chainsaw option.

Reply Good karma+2 votes
LegatusMarco
LegatusMarco

On that pic it means... DooMslayer is basically an Angry Samus

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.